<!DOCTYPE html>
<html>
		<head>
			<title> Jeu Fourchette - Function</title>
			<meta charset="utf-8"/>
		</head>

	<body>

			<h1> Attention , ça ne rigole plus</h1>

			<button id="Fourchette"> Lancez Fourchette 1 </button>
			<button id="Fourchette2"> Lancez Fourchette 2 </button>

			<script type="text/javascript">

			alert('Bienvenue dans le Game');
			alert("Let Go"); 

			var element = document.getElementById('Fourchette');

			element.addEventListener("click", fourchette);

			var element = document.getElementById('Fourchette2');

			element.addEventListener("click", fourchette2);


			// PREMIER JEU
			function fourchette(){
				var recherche;
				var numero = Math.ceil(Math.random() * 100); 

				while(recherche != numero) {
					recherche = prompt('Choisis un chiffre entre 1 et 100');

					if(isNaN(recherche)) {
						alert ('Ques que tu me chante');
						recherche = prompt ('Trouve le chiffre');
					}

					if(recherche > numero) 
						alert('Descend');
					else 
						alert('Monte');
				}

				if (recherche = numero) {
					alert ('Bien jouer');

				}
			}

			//DEUXIEME JEU
			
			fourchette2(0,101);
			function fourchette2(min,max){
				var ordi = 50;
				var player;


				while(player != "!"){
					player = prompt("Plus grand ou plus petit que " + ordi + " ?");

					if(player == "+"){
						min = ordi;
						ordi = Math.floor((min+max)/2);
					}
					if(player == "-"){
						max = ordi;
						ordi = Math.floor((min+max)/2);
					}
				}

				alert("EASY-PZ");

			}
		</script>

		

<!-- 		<a href="#" onclick="fourchette()"> Lancez le premier Game </a> <br/>
		<a href="#" onclick="fourchette2()"> Lancez le Deuxieme Game </a> -->

	

	</body>
</html>